Subject: Re: [PATCH] format-patch: print format-patch usage if there are no arguments

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Jan 2015 11:17:51 -0800

Alexander Kuleshov <[email-masked]> writes:

> 2015-01-14 0:43 GMT+06:00 Junio C Hamano <[email-masked]>:
>> Why?
>
> As some commands does it when they are executed without arguments,
> like git config, git blame and etc...

For format-patch, I think the current behaviour is more of the lack
of implementation of the obvious default.  "git blame" does not have
any obvious default (would there be a single file you would want to
dig the history when the user does not tell you which one?  No), so
it proabaly is the right thing to do to error out.

But I would not surprised if those who build on top of others' work
to wish that "git format-patch" that was invoked without argument on
a branch created by "git checkout -t -b" to default to format commits
since the branch forked from @{upstream}, for example.